@echo off
rem //////////////////////////////////////////////////////////
rem Driver Install Batch (switch 32bit/64bit automatically )
rem //////////////////////////////////////////////////////////

rem Switch Directory by OS type (x86/AMD64)
if "%PROCESSOR_ARCHITECTURE%"=="x86" (
	echo "Install for 32bit Windows"
	.\dpinst_x86.exe /PATH ./
	goto end
)
if "%PROCESSOR_ARCHITECTURE%"=="AMD64" (
	echo "Install for 64bit Windows (x64)"
	.\dpinst_x64.exe /PATH ./
	goto end
)
if "%PROCESSOR_ARCHITECTURE%"=="IA64" (
	echo "IA64 not support"
	pause
	goto end
)
if "%PROCESSOR_ARCHITECTURE%"=="" (
	echo "Unknown Processor Architecture, so use 64bit installer temporarilly."
	.\dpinst_x64.exe /PATH ./
	goto end
)

:end
